Skip to content

promote --topic declares current documents in the catalog (DR-020); three RFC drafts; 0.8.1 - #13

Merged
emafriedrich merged 2 commits into
mainfrom
promote-anchors-current-specs
Sep 30, 2026
Merged

emafriedrich merged 2 commits into
mainfrom
promote-anchors-current-specs

Conversation

@emafriedrich

Copy link
Copy Markdown
Owner

Promoting a spec set its status but never declared it under current: in the domain's catalog entry, so the domain's CONTEXT.md did not list it as current truth.

  • promote <ID> --by <human> --topic <name> now declares any document that becomes current in its domain's current:, in the same operation. It refuses a name held by another document, can be re-run on a document that is already current, and keeps an implemented spec implemented. Without --topic it promotes and says the document is not declared.
  • --topic on an RFC is refused instead of silently ignored.
  • The validator warns, without failing, on a current or implemented spec declared in no domain.
  • DR-020 (draft, agent-drafted) records the rule; KDE-SPEC-001 and HANDBOOK updated; 4 new tests; version 0.8.1, installer and curl lines point at v0.8.1.

Three RFC drafts for review by the maintainer or the community, no choice made:

  • KDE-RFC-016: a ticket named in a PR must be cited by some knowledge document, or the PR says why not.
  • KDE-RFC-017: whether the task artifact earns its place, since field use never wrote one.
  • KDE-RFC-018: where a decision that binds several repositories lives.

npm test 70/70, knowledge:check ok (11 pre-existing staleness warnings on accepted RFCs against KDE-SPEC-001).

After merge: promote DR-020 (npm run knowledge -- promote DR-020 --by <human> --topic current-anchor) and push tag v0.8.1.

…raft); validator warns on an unanchored current spec; 0.8.1

Promoting a spec, flow, model or contract set its status but never put it
under `current:` in the domain's catalog entry, so the domain's CONTEXT.md
did not list it. `promote <ID> --by <human> --topic <name>` now writes that
anchor in the same operation, refuses a name held by another document, and
can be re-run on a document that is already current. `--topic` on an RFC or
task is refused instead of ignored. The validator warns, without failing,
when a current or implemented spec is declared in no domain.

DR-020 is an agent draft: the human promotes it.
…er tasks earn their place, decisions across repositories
@emafriedrich
emafriedrich merged commit b7b0404 into main Sep 30, 2026
1 check passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant